from django.contrib import admin

from games.models import Developer, Game, GameSystem, Genre, Publisher


class GameAdmin(admin.ModelAdmin):
    list_display = ("name", "game_system", "english_patched", "undub", "region")
    list_filter = ("game_system", "undub", "english_patched", "hack")


admin.site.register(GameSystem)
admin.site.register(Developer)
admin.site.register(Publisher)
admin.site.register(Genre)
admin.site.register(Game, GameAdmin)
